Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo
Enum ISun.City

    java.lang.Object
      java.lang.Enum<ISun.City>
          igeo.ISun.City

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ISun.City>

Enclosing class:
  ISun

    public static enum ISun.City

extends java.lang.Enum<ISun.City>

Enum Constant Summary
`AbuDhabi`
`Abuja`
`Accra`
`Adamstown`
`AddisAbaba`
`Algiers`
`Alofi`
`Amman`
`Amsterdam`
`AndorraLaVella`
`Ankara`
`Antananarivo`
`Apia`
`Ashgabat`
`Asmara`
`Astana`
`Asuncion`
`Athens`
`Avarua`
`Baghdad`
`Bairiki`
`Baku`
`Bamako`
`BandarSeriBegawan`
`Bangkok`
`Bangui`
`Banjul`
`Basseterre`
`BasseTerre`
`Beijing`
`Beirut`
`Belgrade`
`Belmopan`
`Berlin`
`Bern`
`Bishkek`
`Bissau`
`Bogota`
`Brasilia`
`Bratislava`
`Brazzaville`
`Bridgetown`
`Brussels`
`Bucharest`
`Budapest`
`BuenosAires`
`Bujumbura`
`Cairo`
`Canberra`
`Caracas`
`Castries`
`Cayenne`
`CharlotteAmalie`
`Chicago`
`Chisinau`
`CockburnTown`
`Colombo`
`Conakry`
`Copenhagen`
`Dakar`
`DalapUligaDarrit`
`Damascus`
`Dhaka`
`Dili`
`Djibouti`
`Dodoma`
`Doha`
`Douglas`
`Dublin`
`Dushanbe`
`ElAaiun`
`FortDeFrance`
`Freetown`
`Gaborone`
`Garapan`
`Georgetown`
`GeorgeTown`
`Gibraltar`
`Guatemala`
`Hagatna`
`Hamilton`
`Hanoi`
`Harare`
`Havana`
`Helsinki`
`Honiara`
`Islamabad`
`Jakarta`
`Jamestown`
`Jerusalem`
`Kabul`
`Kampala`
`Kathmandu`
`Khartoum`
`Kiev`
`Kigali`
`Kingston`
`KingstonNorfolk`
`Kingstown`
`Kinshasa`
`KualaLumpur`
`Kuwait`
`LaPaz`
`Lhasa`
`Libreville`
`Lilongwe`
`Lima`
`Lisbon`
`Ljubljana`
`Lome`
`London`
`Longyearbyen`
`LosAngeles`
`Luanda`
`Lusaka`
`Luxembourg`
`Madrid`
`Malabo`
`Male`
`Mamoudzou`
`Managua`
`Manama`
`Manila`
`Maputo`
`Maseru`
`MataUtu`
`Mbabane`
`Melekeok`
`MexicoCity`
`Milan`
`Minsk`
`Mogadishu`
`Monaco`
`Monrovia`
`Montevideo`
`Moroni`
`Moscow`
`Muscat`
`Nairobi`
`Nassau`
`Ndjamena`
`NewDelhi`
`NewYork`
`Niamey`
`Nicosia`
`Nouakchott`
`Noumea`
`Nukualofa`
`Nuuk`
`Oranjestad`
`Osaka`
`Oslo`
`Ottawa`
`Ouagadougou`
`PagoPago`
`Palikir`
`Panama`
`Papeete`
`Paramaribo`
`Paris`
`PhnomPenh`
`Plymouth`
`Podgorica`
`PortAuPrince`
`PortLouis`
`PortMoresby`
`PortOfSpain`
`PortoNovo`
`PortVila`
`Prague`
`Praia`
`Pretoria`
`Pristina`
`Pyinmana`
`Pyongyang`
`Quito`
`Rabat`
`Reykjavik`
`Riga`
`Riyadh`
`RoadTown`
`Rome`
`Roseau`
`SaintDenis`
`SaintGeorges`
`SaintHelier`
`SaintJohns`
`SaintPeterPort`
`SaintPierre`
`Sanaa`
`SanJose`
`SanJuan`
`SanMarino`
`SanSalvador`
`Santiago`
`SantoDomingo`
`SaoTome`
`Sarajevo`
`Seoul`
`Shanghai`
`Shenzhen`
`Singapore`
`Skopje`
`Sofia`
`Stanley`
`Stockholm`
`Suva`
`Taipei`
`Tallinn`
`Tashkent`
`Tbilisi`
`Tegucigalpa`
`Tehran`
`TheSettlement`
`TheValley`
`Thimphu`
`Tirana`
`Tokyo`
`Torshavn`
`Tripoli`
`Tunis`
`UlanBator`
`Vaduz`
`Vaiaku`
`Valletta`
`Victoria`
`Vienna`
`Vientiane`
`Vilnius`
`Warsaw`
`Washington`
`Wellington`
`WestIsland`
`Willemstad`
`Windhoek`
`Yamoussoukro`
`Yaounde`
`Yaren`
`Yerevan`
`Zagreb`

Method Summary
`static ISun.City` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ISun.City[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AbuDhabi

    public static final ISun.City AbuDhabi

### Abuja

    public static final ISun.City Abuja

### Accra

    public static final ISun.City Accra

### Doha

    public static final ISun.City Doha

### Adamstown

    public static final ISun.City Adamstown

### AddisAbaba

    public static final ISun.City AddisAbaba

### Khartoum

    public static final ISun.City Khartoum

### Kuwait

    public static final ISun.City Kuwait

### Manama

    public static final ISun.City Manama

### Cairo

    public static final ISun.City Cairo

### Algiers

    public static final ISun.City Algiers

### Alofi

    public static final ISun.City Alofi

### Amman

    public static final ISun.City Amman

### Amsterdam

    public static final ISun.City Amsterdam

### AndorraLaVella

    public static final ISun.City AndorraLaVella

### Ankara

    public static final ISun.City Ankara

### Antananarivo

    public static final ISun.City Antananarivo

### Apia

    public static final ISun.City Apia

### Riyadh

    public static final ISun.City Riyadh

### Ashgabat

    public static final ISun.City Ashgabat

### Asmara

    public static final ISun.City Asmara

### Astana

    public static final ISun.City Astana

### Asuncion

    public static final ISun.City Asuncion

### Athens

    public static final ISun.City Athens

### Avarua

    public static final ISun.City Avarua

### Baghdad

    public static final ISun.City Baghdad

### Bairiki

    public static final ISun.City Bairiki

### Baku

    public static final ISun.City Baku

### Bamako

    public static final ISun.City Bamako

### BandarSeriBegawan

    public static final ISun.City BandarSeriBegawan

### Bangui

    public static final ISun.City Bangui

### Banjul

    public static final ISun.City Banjul

### BasseTerre

    public static final ISun.City BasseTerre

### Basseterre

    public static final ISun.City Basseterre

### Beijing

    public static final ISun.City Beijing

### Belmopan

    public static final ISun.City Belmopan

### Belgrade

    public static final ISun.City Belgrade

### Berlin

    public static final ISun.City Berlin

### Bern

    public static final ISun.City Bern

### Beirut

    public static final ISun.City Beirut

### Bishkek

    public static final ISun.City Bishkek

### Bissau

    public static final ISun.City Bissau

### Bogota

    public static final ISun.City Bogota

### Brasilia

    public static final ISun.City Brasilia

### Bratislava

    public static final ISun.City Bratislava

### Brazzaville

    public static final ISun.City Brazzaville

### Bridgetown

    public static final ISun.City Bridgetown

### Brussels

    public static final ISun.City Brussels

### Bucharest

    public static final ISun.City Bucharest

### Budapest

    public static final ISun.City Budapest

### BuenosAires

    public static final ISun.City BuenosAires

### Bujumbura

    public static final ISun.City Bujumbura

### Canberra

    public static final ISun.City Canberra

### Caracas

    public static final ISun.City Caracas

### Castries

    public static final ISun.City Castries

### Cayenne

    public static final ISun.City Cayenne

### CharlotteAmalie

    public static final ISun.City CharlotteAmalie

### Chisinau

    public static final ISun.City Chisinau

### MexicoCity

    public static final ISun.City MexicoCity

### CockburnTown

    public static final ISun.City CockburnTown

### Colombo

    public static final ISun.City Colombo

### Conakry

    public static final ISun.City Conakry

### Dakar

    public static final ISun.City Dakar

### DalapUligaDarrit

    public static final ISun.City DalapUligaDarrit

### Dhaka

    public static final ISun.City Dhaka

### Dili

    public static final ISun.City Dili

### Damascus

    public static final ISun.City Damascus

### Djibouti

    public static final ISun.City Djibouti

### Dodoma

    public static final ISun.City Dodoma

### Douglas

    public static final ISun.City Douglas

### Dublin

    public static final ISun.City Dublin

### Dushanbe

    public static final ISun.City Dushanbe

### FortDeFrance

    public static final ISun.City FortDeFrance

### Freetown

    public static final ISun.City Freetown

### Gaborone

    public static final ISun.City Gaborone

### Garapan

    public static final ISun.City Garapan

### GeorgeTown

    public static final ISun.City GeorgeTown

### Georgetown

    public static final ISun.City Georgetown

### Gibraltar

    public static final ISun.City Gibraltar

### Guatemala

    public static final ISun.City Guatemala

### Hanoi

    public static final ISun.City Hanoi

### Hagatna

    public static final ISun.City Hagatna

### Hamilton

    public static final ISun.City Hamilton

### Harare

    public static final ISun.City Harare

### Helsinki

    public static final ISun.City Helsinki

### Honiara

    public static final ISun.City Honiara

### Islamabad

    public static final ISun.City Islamabad

### Jakarta

    public static final ISun.City Jakarta

### Jamestown

    public static final ISun.City Jamestown

### Kabul

    public static final ISun.City Kabul

### Kampala

    public static final ISun.City Kampala

### Kathmandu

    public static final ISun.City Kathmandu

### Kigali

    public static final ISun.City Kigali

### Kingston

    public static final ISun.City Kingston

### KingstonNorfolk

    public static final ISun.City KingstonNorfolk

### Kingstown

    public static final ISun.City Kingstown

### Kinshasa

    public static final ISun.City Kinshasa

### Copenhagen

    public static final ISun.City Copenhagen

### Bangkok

    public static final ISun.City Bangkok

### KualaLumpur

    public static final ISun.City KualaLumpur

### Kiev

    public static final ISun.City Kiev

### Havana

    public static final ISun.City Havana

### LaPaz

    public static final ISun.City LaPaz

### ElAaiun

    public static final ISun.City ElAaiun

### Lhasa

    public static final ISun.City Lhasa

### Libreville

    public static final ISun.City Libreville

### Lilongwe

    public static final ISun.City Lilongwe

### Lima

    public static final ISun.City Lima

### Lisbon

    public static final ISun.City Lisbon

### Ljubljana

    public static final ISun.City Ljubljana

### Lome

    public static final ISun.City Lome

### London

    public static final ISun.City London

### Longyearbyen

    public static final ISun.City Longyearbyen

### Luanda

    public static final ISun.City Luanda

### Lusaka

    public static final ISun.City Lusaka

### Luxembourg

    public static final ISun.City Luxembourg

### Male

    public static final ISun.City Male

### Madrid

    public static final ISun.City Madrid

### Malabo

    public static final ISun.City Malabo

### Mamoudzou

    public static final ISun.City Mamoudzou

### Managua

    public static final ISun.City Managua

### Manila

    public static final ISun.City Manila

### Maputo

    public static final ISun.City Maputo

### Maseru

    public static final ISun.City Maseru

### Muscat

    public static final ISun.City Muscat

### MataUtu

    public static final ISun.City MataUtu

### Mbabane

    public static final ISun.City Mbabane

### Melekeok

    public static final ISun.City Melekeok

### Minsk

    public static final ISun.City Minsk

### Monaco

    public static final ISun.City Monaco

### Monrovia

    public static final ISun.City Monrovia

### Montevideo

    public static final ISun.City Montevideo

### Moroni

    public static final ISun.City Moroni

### Moscow

    public static final ISun.City Moscow

### Mogadishu

    public static final ISun.City Mogadishu

### Ndjamena

    public static final ISun.City Ndjamena

### Nairobi

    public static final ISun.City Nairobi

### Nassau

    public static final ISun.City Nassau

### NewDelhi

    public static final ISun.City NewDelhi

### Niamey

    public static final ISun.City Niamey

### Nicosia

    public static final ISun.City Nicosia

### Nouakchott

    public static final ISun.City Nouakchott

### Noumea

    public static final ISun.City Noumea

### Nukualofa

    public static final ISun.City Nukualofa

### Nuuk

    public static final ISun.City Nuuk

### Oranjestad

    public static final ISun.City Oranjestad

### Oslo

    public static final ISun.City Oslo

### Ottawa

    public static final ISun.City Ottawa

### Ouagadougou

    public static final ISun.City Ouagadougou

### Pyongyang

    public static final ISun.City Pyongyang

### PagoPago

    public static final ISun.City PagoPago

### Palikir

    public static final ISun.City Palikir

### Panama

    public static final ISun.City Panama

### Papeete

    public static final ISun.City Papeete

### Paramaribo

    public static final ISun.City Paramaribo

### Paris

    public static final ISun.City Paris

### PhnomPenh

    public static final ISun.City PhnomPenh

### Plymouth

    public static final ISun.City Plymouth

### Podgorica

    public static final ISun.City Podgorica

### PortLouis

    public static final ISun.City PortLouis

### PortMoresby

    public static final ISun.City PortMoresby

### PortOfSpain

    public static final ISun.City PortOfSpain

### PortVila

    public static final ISun.City PortVila

### PortAuPrince

    public static final ISun.City PortAuPrince

### PortoNovo

    public static final ISun.City PortoNovo

### Prague

    public static final ISun.City Prague

### Praia

    public static final ISun.City Praia

### Pretoria

    public static final ISun.City Pretoria

### Pristina

    public static final ISun.City Pristina

### WestIsland

    public static final ISun.City WestIsland

### Pyinmana

    public static final ISun.City Pyinmana

### Quito

    public static final ISun.City Quito

### Rabat

    public static final ISun.City Rabat

### Reykjavik

    public static final ISun.City Reykjavik

### Riga

    public static final ISun.City Riga

### RoadTown

    public static final ISun.City RoadTown

### Rome

    public static final ISun.City Rome

### Roseau

    public static final ISun.City Roseau

### SaintDenis

    public static final ISun.City SaintDenis

### SaintGeorges

    public static final ISun.City SaintGeorges

### SaintHelier

    public static final ISun.City SaintHelier

### SaintJohns

    public static final ISun.City SaintJohns

### SaintPeterPort

    public static final ISun.City SaintPeterPort

### SaintPierre

    public static final ISun.City SaintPierre

### SanJose

    public static final ISun.City SanJose

### SanJuan

    public static final ISun.City SanJuan

### SanMarino

    public static final ISun.City SanMarino

### SanSalvador

    public static final ISun.City SanSalvador

### Sanaa

    public static final ISun.City Sanaa

### Santiago

    public static final ISun.City Santiago

### SantoDomingo

    public static final ISun.City SantoDomingo

### SaoTome

    public static final ISun.City SaoTome

### Sarajevo

    public static final ISun.City Sarajevo

### Seoul

    public static final ISun.City Seoul

### Shanghai

    public static final ISun.City Shanghai

### Shenzhen

    public static final ISun.City Shenzhen

### Singapore

    public static final ISun.City Singapore

### Skopje

    public static final ISun.City Skopje

### Sofia

    public static final ISun.City Sofia

### Stanley

    public static final ISun.City Stanley

### Stockholm

    public static final ISun.City Stockholm

### Suva

    public static final ISun.City Suva

### Taipei

    public static final ISun.City Taipei

### Tbilisi

    public static final ISun.City Tbilisi

### Tallinn

    public static final ISun.City Tallinn

### Tripoli

    public static final ISun.City Tripoli

### Tegucigalpa

    public static final ISun.City Tegucigalpa

### Tehran

    public static final ISun.City Tehran

### TheSettlement

    public static final ISun.City TheSettlement

### TheValley

    public static final ISun.City TheValley

### Thimphu

    public static final ISun.City Thimphu

### Tirana

    public static final ISun.City Tirana

### Tokyo

    public static final ISun.City Tokyo

### Torshavn

    public static final ISun.City Torshavn

### Tashkent

    public static final ISun.City Tashkent

### Tunis

    public static final ISun.City Tunis

### UlanBator

    public static final ISun.City UlanBator

### Vaduz

    public static final ISun.City Vaduz

### Vaiaku

    public static final ISun.City Vaiaku

### Valletta

    public static final ISun.City Valletta

### Vientiane

    public static final ISun.City Vientiane

### Victoria

    public static final ISun.City Victoria

### Vienna

    public static final ISun.City Vienna

### Vilnius

    public static final ISun.City Vilnius

### Warsaw

    public static final ISun.City Warsaw

### Washington

    public static final ISun.City Washington

### Wellington

    public static final ISun.City Wellington

### Willemstad

    public static final ISun.City Willemstad

### Windhoek

    public static final ISun.City Windhoek

### Yamoussoukro

    public static final ISun.City Yamoussoukro

### Yaounde

    public static final ISun.City Yaounde

### Yaren

    public static final ISun.City Yaren

### Yerevan

    public static final ISun.City Yerevan

### Jerusalem

    public static final ISun.City Jerusalem

### Zagreb

    public static final ISun.City Zagreb

### NewYork

    public static final ISun.City NewYork

### LosAngeles

    public static final ISun.City LosAngeles

### Chicago

    public static final ISun.City Chicago

### Osaka

    public static final ISun.City Osaka

### Milan

    public static final ISun.City Milan

Method Detail

### values

    public static ISun.City[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ISun.City c : ISun.City.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ISun.City valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD